diff -up sos-2.2/sos/plugins/general.py.orig sos-2.2/sos/plugins/general.py
--- sos-2.2/sos/plugins/general.py.orig	2011-08-14 12:09:59.224806981 +0100
+++ sos-2.2/sos/plugins/general.py	2011-08-14 12:12:37.567686798 +0100
@@ -29,6 +29,7 @@ class general(sos.plugintools.PluginBase
         self.addCopySpec("/etc/redhat-release")
         self.addCopySpec("/etc/fedora-release")
         self.addCopySpec("/etc/inittab")
+        self.addCopySpec("/etc/init")
         self.addCopySpec("/etc/sos.conf")
         self.addCopySpec("/etc/sysconfig")
         self.addCopySpec("/proc/stat")
@@ -50,12 +51,12 @@ class general(sos.plugintools.PluginBase
         self.collectExtOutput("/usr/sbin/alternatives --display java", root_symlink = "java")
         self.collectExtOutput("/usr/bin/readlink -f /usr/bin/java")
 
-	# new entitlement certificate support
-	if rhelver == 6 or rhelver == 5:
-		self.addCopySpec("/etc/pki/product/*.pem")
-		self.addCopySpec("/etc/pki/consumer/cert.pem")
-		self.addCopySpec("/etc/pki/entitlement/*.pem")
-		self.addForbiddenPath("/etc/pki/entitlement/key.pem")
+        # new entitlement certificate support
+        if rhelver == 6 or rhelver == 5:
+                self.addCopySpec("/etc/pki/product/*.pem")
+                self.addCopySpec("/etc/pki/consumer/cert.pem")
+                self.addCopySpec("/etc/pki/entitlement/*.pem")
+                self.addForbiddenPath("/etc/pki/entitlement/key.pem")
 
         if self.getOption('all_logs'):
             if rhelver == 5 or rhelver == 4:
